package com.futu.course.course.controller;

import com.futu.course.common.entity.R;
import com.futu.course.course.domain.Course;
import com.futu.course.course.dto.CourseByIdDto;
import com.futu.course.course.service.impl.CourseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author "杨旭朋"
 * @ClassName: CourseController
 * @date 2025年05月11日 19:05
 */
@RestController
@RequestMapping("course")
public class CourseController {
    @Autowired
    private CourseServiceImpl courseService;
    /**
     * @title: CourseGetOneById
     * @desc:  查看商品详情
     * @params ()
     * @return: Result
     * @author: 杨旭朋
     * @date: 2025/5/11 19:13
     */
    @PostMapping("CourseGetOneById")
    public Course CourseGetOneById(@RequestBody CourseByIdDto id){
        return courseService.getById(id.getId());
    }




//    首页的购买的商品
    @PostMapping("findAll")
    public R findAll(){
        return courseService.findAll();
    }











}
